/*
 * Class ACTIVE [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1943 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1943 [] = {0xFF01,1551,1942,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1943 [] = {0xFF01,1942,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1943 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1943 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1943 [] = {0xFF01,1942,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1943 [] = {0xFF01,1942,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1943 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1943 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1943 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1943 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1943 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1943 [] = {1942,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1943 [] = {0xFF01,1942,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1943 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1943 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1943 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1943[] = {
	{EIF_GENERIC(NULL), 9094, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1943), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1943), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1943), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1943), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1943), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1943), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1943), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1943), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1943), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1943), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1943), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1943), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1943), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1943), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1943), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1943), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9040, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1943), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9095, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1943(void)
{
	IDSC(desc_1943, 0, 1942);
	IDSC(desc_1943 + 1, 1, 1942);
	IDSC(desc_1943 + 32, 1134, 1942);
	IDSC(desc_1943 + 41, 1135, 1942);
	IDSC(desc_1943 + 50, 1060, 1942);
	IDSC(desc_1943 + 56, 778, 1942);
}


#ifdef __cplusplus
}
#endif
